cancel
Showing results for 
Search instead for 
Did you mean: 

Upgraded magento from 1.9.1 to 1.9.2.1 : helper class issue

Upgraded magento from 1.9.1 to 1.9.2.1 : helper class issue

Hello Fork,

 

I have upgraded my magento from  from 1.9.1 to 1.9.2.1 . Now I tried to install any extension it is creating problem.

 

In admin panel -> System->configuration I am getting msg like "can not find helper class ". 

 

I have placed that files in includes/src but it is not working properly in all extension.

 

It is giving me error like below

#0 includes/src/Mage_Adminhtml_Block_System_Config_Form.php(328): Mage::throwException('Invalid config ...')
#1 includes/src/Mage_Adminhtml_Block_System_Config_Form.php(229): Mage_Adminhtml_Block_System_Config_Form->initFields(Object(Varien_Data_Form_Element_Fieldset), Object(Mage_Core_Model_Config_Element), Object(Mage_Core_Model_Config_Element))
#2 includes/src/Mage_Adminhtml_Block_System_Config_Form.php(164): Mage_Adminhtml_Block_System_Config_Form->_initGroup(Object(Varien_Data_Form), Object(Mage_Core_Model_Config_Element), Object(Mage_Core_Model_Config_Element))
#3 includes/src/Mage_Adminhtml_Block_System_Config_Edit.php(92): Mage_Adminhtml_Block_System_Config_Form->initForm()
#4 app/code/core/Mage/Adminhtml/controllers/System/ConfigController.php(107): Mage_Adminhtml_Block_System_Config_Edit->initForm()
#5 includes/src/__default.php(24536): Mage_Adminhtml_System_ConfigController->editAction()
#6 includes/src/__default.php(28990): Mage_Core_Controller_Varien_Action->dispatch('edit')
#7 includes/src/__default.php(28520): Mage_Core_Controller_Varien_Router_Standard->match(Object(Mage_Core_Controller_Request_Http))
#8 includes/src/__default.php(31348): Mage_Core_Controller_Varien_Front->dispatch()
#9 app/Mage.php(684): Mage_Core_Model_App->run(Array)
#10 index.php(83): Mage::run('', 'store')
#11 {main}

 I can not disable Compiler because site is already slow

 

Regards

Rachna

2 REPLIES

Re: Upgraded magento from 1.9.1 to 1.9.2.1 : helper class issue

With certain modules, you have the choice of running either the module or the compiler, not both.

 

With Magento 1.9.x.x, the compiler doesn't provide much of a performance boost. You're better off running a version of php that includes the opcache, using redis or getting a better hosting plan with a properly tuned server optimized for Magento.

Re: Upgraded magento from 1.9.1 to 1.9.2.1 : helper class issue

If I have disable compilation It is not including my extension code Smiley Sad